Page MenuHomePhabricator

Daemon PhabricatorTaskmasterDaemon throws alot of exceptions
Closed, InvalidPublic

Description

It repeats every minutes....

FAIL	Fri, Nov 27	09:39	Process exited with error 255
STDE	Fri, Nov 27	09:39	[2015-11-27 09:39:22] EXCEPTION: (PhutilProxyException) Error while executing Task ID 21150. {>} (InvalidArgumentException) Argument 1 passed to idx() must be of the type array, null given, called in /var/www/html/phabricator/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php on line 31 and defined at [<phutil>/src/error/PhutilErrorHandler.php:200]
arcanist(head=stable, ref.master=0d6f3328a08f, ref.stable=62569678e331), phabricator(head=stable, ref.master=46bd6b30f8fd, ref.stable=535c1a5f255e), phutil(head=stable, ref.master=aa6cd8f7e5e5, ref.stable=1e0de5ab8a87)
  #0 <#2> PhutilErrorHandler::handleError(integer, string, string, integer, array) called at [<phutil>/src/utils/utils.php:36]
  #1 <#2> idx(NULL, string) called at [<phabricator>/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php:31]
  #2 <#2> PhabricatorApplicationTransactionPublishWorker::loadObject() called at [<phabricator>/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php:17]
  #3 <#2> PhabricatorApplicationTransactionPublishWorker::doWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:91]
  #4 <#2> PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:162]
  #5 <#2> PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:22]
  #6 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:183]
  #7 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:125]
INIT	Fri, Nov 27	09:39	Starting process.
WAIT	Fri, Nov 27	09:39	Waiting to restart process.
FAIL	Fri, Nov 27	09:39	Process exited with error 255
STDE	Fri, Nov 27	09:39	[2015-11-27 09:39:12] EXCEPTION: (PhutilProxyException) Error while executing Task ID 21116. {>} (InvalidArgumentException) Argument 1 passed to idx() must be of the type array, null given, called in /var/www/html/phabricator/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php on line 31 and defined at [<phutil>/src/error/PhutilErrorHandler.php:200]
arcanist(head=stable, ref.master=0d6f3328a08f, ref.stable=62569678e331), phabricator(head=stable, ref.master=46bd6b30f8fd, ref.stable=535c1a5f255e), phutil(head=stable, ref.master=aa6cd8f7e5e5, ref.stable=1e0de5ab8a87)
  #0 <#2> PhutilErrorHandler::handleError(integer, string, string, integer, array) called at [<phutil>/src/utils/utils.php:36]
  #1 <#2> idx(NULL, string) called at [<phabricator>/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php:31]
  #2 <#2> PhabricatorApplicationTransactionPublishWorker::loadObject() called at [<phabricator>/src/applications/transactions/worker/PhabricatorApplicationTransactionPublishWorker.php:17]
  #3 <#2> PhabricatorApplicationTransactionPublishWorker::doWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:91]
  #4 <#2> PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:162]
  #5 <#2> PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:22]
  #6 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:183]
  #7 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:125]

Event Timeline

beliyandrei updated the task description. (Show Details)
beliyandrei added a subscriber: beliyandrei.
chad added a subscriber: chad.

Do you have any steps we can use to reproduce the bug? See Contributing Bug Reports.

epriestley closed this task as Invalid.Nov 27 2015, 4:14 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

rP46bd6b30

You are about 4 months out of date.

This was fixed in D13939, in late August, about three weeks after your last upgrade.

Please read Contributing Bug Reports carefully before filing bug reports.

joshuaspence updated the task description. (Show Details)Dec 13 2015, 5:03 AM
joshuaspence added a subscriber: joshuaspence.